<?php
$NomF="donnees_binaires.data";
// tableau contenant les entiers compris entre 0 et 255
// chaque entier peut être codé sur 1 octet
$tab_donnees_binaires=array(0x10,0x59,0x42,18,34,255,200);
foreach ($tab_donnees_binaires as $donnee)
{// compactage des octets dans une chaîne d'octets
 // Ajout de l'entier au format C=caractère non signé=1 octet
 $chaine_octets .= pack("C", $donnee);
}
// écriture dans le fichier binaire
$fichier_binaire = fopen($NomF,'wb');
fwrite($fichier_binaire,$chaine_octets);
fclose($fichier_binaire);
$nboctets=strlen($chaine_octets);
echo "écriture dans $NomF de $nboctets octets\n";
?>
